# setting working directory and In/Outputfolders
wdir <- "C:/Users/lenovo/Desktop/R_scripts/Test"
setwd(wdir)
inputFolder <- paste( wdir, "/my_new_inputfiles/", sep = "" )
outputFolder <- paste( wdir, "/my_new_outputfiles/", sep = "" )

# Libraries and functions
library("gplots")
library("sciplot")
library("coin")
library("grid") 
source(paste( wdir, "/R_functions/tern_e.R", sep = "" ))
source(paste( wdir, "/R_functions/vennDia.R", sep = "" ))
source(paste( wdir, "/R_functions/error.bar.R", sep = "" ))
source(paste( wdir, "/R_functions/BayesianIUT/R/BayesianIUT", sep = "" ))   

datafile <- "Dataset_S3.txt"
alldat <- read.table( paste( inputFolder, datafile, sep = "" ), row.names=1, sep="\t", header=T, blank.lines.skip = FALSE)

designfile <- "Dataset_S1.txt"
alldesign <- read.table( paste( inputFolder, designfile, sep = "" ), header=T)
rownames(alldesign) <- alldesign[,1]
Group <- paste(alldesign$Species, alldesign$Type, sep="_")
Group2 <- paste(alldesign$Species, alldesign$Genotype, sep="_")
SiteGroup <- paste(alldesign$Rep, alldesign$Species, sep="_")
alldesign <- cbind(alldesign, Group, Group2, SiteGroup)

#Eifel_samples <- rownames(alldesign)[which(alldesign$Library_ID == "L39")]
Eifel_samples <- rownames(alldesign)
#Cologne_samples <- rownames(alldesign)[which(alldesign$Library_ID == "L388")]

#Eifel_design <- droplevels(alldesign[Eifel_samples,])
Eifel_design <- alldesign

#dat_rare <- alldat[,c(Cologne_samples, Eifel_samples)]
dat_rare <- alldat[,Eifel_samples]

dat_norm_20 <- t(t(dat_rare)/colSums(dat_rare)) * 1000

dat_log_20 <- log2(dat_norm_20 + 1)

#dat_log_ns_Eifel <- dat_log_20[,Eifel_samples]
dat_log_ns_Eifel <- dat_log_20

GGtax <- alldat[,71:77]
GGtax_20 <- GGtax
OTU_tax <- paste("OTU", rownames(GGtax_20), GGtax_20$Family, sep="_")
names(OTU_tax) <- rownames(GGtax_20)
GGtax_20 <- cbind(GGtax_20, OTU_tax)
coreRootOTUs_by_P <- c("OTU_551","OTU_64","OTU_5","OTU_41","OTU_287",
"OTU_35","OTU_126","OTU_19","OTU_154","OTU_13","OTU_27","OTU_44",
"OTU_53","OTU_32","OTU_246","OTU_159","OTU_197","OTU_75","OTU_69",
"OTU_84","OTU_125","OTU_100","OTU_406","OTU_12","OTU_956","OTU_306",
"OTU_22","OTU_18","OTU_11","OTU_6")


### occurrence phylum level

### general colorcode for taxonomy labels
dim(GGtax_20)
names(sort(table(droplevels(GGtax_20[,"Phylum"])),decr=T))
PHYLAcols <- as.character(GGtax_20[,"Phylum"])
#names(PHYLAcols) <- rownames(GGtax_20)
PHYLAcols["Proteobacteria"] <- "seagreen4"     # "palegreen4" #"chartreuse4" "springgreen4" #
PHYLAcols["Firmicutes"] <- "indianred3"    #"tomato2"# "deeppink3"
PHYLAcols["Actinobacteria"] <- "steelblue2"     #"cornflowerblue" # blue4
PHYLAcols["Acidobacteria"] <- "tan1"              #"darkorange2"
PHYLAcols["Chlorobi"] <- "seagreen3"                #"tomato2"# "deeppink3"
PHYLAcols["Gemmatimonadetes"] <- "gold1"
PHYLAcols["Nitrospirae"] <- "brown"
PHYLAcols[""] <- "tomato2"
PHYLAcols["Chloroflexi"] <- "dimgrey"
PHYLAcols["Cyanobacteria"] <- "mediumpurple3"    # "mediumorchid4"
PHYLAcols["GN04"] <- "mediumorchid4"


PHYLAcols_legend <- names(sort(table(PHYLAcols), dec=T))
names(PHYLAcols_legend) <- names(sort(table(droplevels(GGtax_20[,"Phylum"])), decr=T))
names(PHYLAcols_legend)[PHYLAcols_legend == "gold1"] <- "Gemmatimonadetes"
names(PHYLAcols_legend)[PHYLAcols_legend == "seagreen3"] <- "Chlorobi"
names(PHYLAcols_legend)[names(PHYLAcols_legend) == ""] <- "not_assigned"
PHYLAcols_legend

#tiff(paste(outputFolder,"PHYLAcols_color_legend_bubbles.tiff", sep=""), width=800, height=800, 
#    units="px", pointsize=10, compression="none", bg = "white", res=120 , type="quartz", antialias="none")
plot(y=seq(1,11,1),x=rep(1,11), ylim=c(0,12), col=PHYLAcols_legend, pch=19, cex=5, main="color code Phyla")
text(y=seq(1,11,1),x=rep(1,11), labels=names(PHYLAcols_legend), pos=4, cex=1)
#dev.off()

coreRootOTUs_r_t <- table(droplevels(GGtax_20[coreRootOTUs_by_P,"Phylum"]))
lbls_core <- paste(names(coreRootOTUs_r_t), "\n", coreRootOTUs_r_t, sep="")
#cols_core <- c("indianred3", "seagreen4",  "steelblue2" ) 
#cols_core <- as.character(rainbow(length(levels(GGtax_20[coreRootOTUs_by_P,"Phylum"])))) 

cols_core <- PHYLAcols[as.character(names(coreRootOTUs_r_t))]
cols_core[is.na(cols_core)] <- "tomato2"

pie(coreRootOTUs_r_t, labels=lbls_core, cex=0.5, 
clockwise=T, border=0, col=cols_core, main="coreOTUs / occurence")

pie(coreRootOTUs_r_t, labels=lbls_core, cex=0.5, 
clockwise=T, border=0, col=cols_core, main="RiceOnlyOTUs / occurence")
