
# setting working directory and In/Outputfolders
wdir <- "C:/Users/lenovo/Desktop/R_scripts/Test"
setwd(wdir)
inputFolder <- paste( wdir, "/my_new_inputfiles/", sep = "" )
outputFolder <- paste( wdir, "/my_new_outputfiles/", sep = "" )

# Libraries and functions
library("gplots")
library("sciplot")
library("coin")
library("grid") 
source(paste( wdir, "/R_functions/tern_e.R", sep = "" ))
source(paste( wdir, "/R_functions/vennDia.R", sep = "" ))
source(paste( wdir, "/R_functions/error.bar.R", sep = "" ))
source(paste( wdir, "/R_functions/BayesianIUT/R/BayesianIUT", sep = "" ))   

datafile <- "Dataset_S3.txt"
alldat <- read.table( paste( inputFolder, datafile, sep = "" ), row.names=1, sep="\t", header=T, blank.lines.skip = FALSE)

designfile <- "Dataset_S1.txt"
alldesign <- read.table( paste( inputFolder, designfile, sep = "" ), header=T)
rownames(alldesign) <- alldesign[,1]
Group <- paste(alldesign$Species, alldesign$Type, sep="_")
Group2 <- paste(alldesign$Species, alldesign$Genotype, sep="_")
SiteGroup <- paste(alldesign$Rep, alldesign$Species, sep="_")
alldesign <- cbind(alldesign, Group, Group2, SiteGroup)

#Eifel_samples <- rownames(alldesign)[which(alldesign$Library_ID == "L39")]
Eifel_samples <- rownames(alldesign)
#Cologne_samples <- rownames(alldesign)[which(alldesign$Library_ID == "L388")]

#Eifel_design <- droplevels(alldesign[Eifel_samples,])
Eifel_design <- alldesign

#dat_rare <- alldat[,c(Cologne_samples, Eifel_samples)]
dat_rare <- alldat[,Eifel_samples]

dat_norm_20 <- t(t(dat_rare)/colSums(dat_rare)) * 1000

dat_log_20 <- log2(dat_norm_20 + 1)

#dat_log_ns_Eifel <- dat_log_20[,Eifel_samples]
dat_log_ns_Eifel <- dat_log_20

GGtax <- alldat[,71:77]
GGtax_20 <- GGtax
OTU_tax <- paste("OTU", rownames(GGtax_20), GGtax_20$Family, sep="_")
names(OTU_tax) <- rownames(GGtax_20)
GGtax_20 <- cbind(GGtax_20, OTU_tax)

#########################################
#Eifel_AtRootsamples ==> GM
#Eifel_AtRhizosamples ==> NonGM
#Eifel_SOILsamples ==> CK
#########################################

Eifel_AtRootsamples <- rownames(Eifel_design)[which(Eifel_design$Group == "GM_GM")]
Eifel_AtRhizosamples <- rownames(Eifel_design)[which(Eifel_design$Group == "NonGM_NonGM")]
Eifel_SOILsamples <- rownames(Eifel_design)[which(Eifel_design$Group == "CK_CK")]

## mean of the OTUs(rows=1,colums=2,both=1:2)
Eifel_means_log_Atrhizo <- apply(dat_log_20[, Eifel_AtRhizosamples], 1, mean)
Eifel_means_log_Atroot <- apply(dat_log_20[, Eifel_AtRootsamples], 1, mean)
Eifel_means_log_soil <- apply(dat_log_20[, Eifel_SOILsamples], 1, mean)

# stats matrix
# using ANOVA(TukeyHSD) to return P values, BH method to correct P values
Eifel_OTU_pmat <- as.data.frame(t(apply(dat_log_ns_Eifel ,1 ,function(x){ Eifel_design$OTU_freq <- x;
                            pvals=TukeyHSD( aov(OTU_freq ~ Group, data=Eifel_design), which="Group")$Group[,4]
}))) 
Eifel_OTU_pmat <- apply(Eifel_OTU_pmat, 2, function(x){p.adjust(x,"BH")})

# parallel: fold change matrix
Eifel_OTU_folds <- as.data.frame(t(apply(dat_log_ns_Eifel ,1 ,function(x){ Eifel_design$OTU_freq <- x;
                            folds=TukeyHSD( aov(OTU_freq ~ Group, data=Eifel_design), which="Group")$Group[,1]
})))

### retrieving RootOTUs 
#Eifel_AtRootOTUs <- rownames(Eifel_OTU_pmat)[which(Eifel_OTU_pmat[,c("GM_GM-CK_CK","NonGM_NonGM-CK_CK","NonGM_NonGM-GM_GM")] < 0.1)]
#Eifel_AtRootOTUs <- Eifel_AtRootOTUs[Eifel_AtRootOTUs %in% rownames(Eifel_OTU_folds)[which(Eifel_OTU_folds[,c("GM_GM-CK_CK","NonGM_NonGM-CK_CK","NonGM_NonGM-GM_GM")] > 0)]]
Eifel_AtRootOTUs <- rownames(Eifel_OTU_pmat)[which(Eifel_OTU_pmat[,"NonGM_NonGM-GM_GM"] < 0.1)]
Eifel_AtRootOTUs <- Eifel_AtRootOTUs[Eifel_AtRootOTUs %in% rownames(Eifel_OTU_folds)[which(Eifel_OTU_pmat[,"NonGM_NonGM-GM_GM"] > 0)]]

#Eifel_AtRootOTUs <- rownames(Eifel_OTU_pmat)[which(Eifel_OTU_pmat[,"Soil_Soil-At_Root"] < 0.1)]
#Eifel_AtRootOTUs <- Eifel_AtRootOTUs[Eifel_AtRootOTUs %in% rownames(Eifel_OTU_folds)[which(Eifel_OTU_folds[,"Soil_Soil-At_Root"] > 0)]]
#Eifel_ChRootOTUs <- rownames(Eifel_OTU_pmat)[which(Eifel_OTU_pmat[,"Soil_Soil-Ch_Root"] < 0.1)]
#Eifel_ChRootOTUs <- Eifel_ChRootOTUs[Eifel_ChRootOTUs %in% rownames(Eifel_OTU_folds)[which(Eifel_OTU_folds[,"Soil_Soil-Ch_Root"] > 0)]]

#Eifel_RootOTUs <- unique(c(Eifel_AtRootOTUs, Eifel_ChRootOTUs))
Eifel_RootOTUs <- unique(Eifel_AtRootOTUs)

# meansmats per plot
Eifel_means_log_At <- cbind(Eifel_means_log_Atroot, Eifel_means_log_Atrhizo, Eifel_means_log_soil)
colnames(Eifel_means_log_At) <- c("GM","NonGM","CK")
Eifel_means_log_At[Eifel_means_log_At == 0] <- 0.0000001

### general colorcode for taxonomy labels
dim(GGtax_20)
names(sort(table(droplevels(GGtax_20[,"Phylum"])),decr=T))
PHYLAcols <- as.character(GGtax_20[,"Phylum"])
names(PHYLAcols) <- rownames(GGtax_20)
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Proteobacteria"]] <- "seagreen4"     # "palegreen4" #"chartreuse4" "springgreen4" #
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Firmicutes"]] <- "indianred3"    #"tomato2"# "deeppink3"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Actinobacteria"]] <- "steelblue2"     #"cornflowerblue" # blue4
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Acidobacteria"]] <- "tan1"              #"darkorange2"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Chlorobi"]] <- "seagreen3"                #"tomato2"# "deeppink3"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Gemmatimonadetes"]] <- "gold1"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Nitrospirae"]] <- "brown"
PHYLAcols[PHYLAcols == ""] <- "tomato2"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Chloroflexi"]] <- "dimgrey"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "Cyanobacteria"]] <- "mediumpurple3"    # "mediumorchid4"
PHYLAcols[names(PHYLAcols)[PHYLAcols == "GN04"]] <- "mediumorchid4"

PHYLAcols_legend <- names(sort(table(PHYLAcols), dec=T))
names(PHYLAcols_legend) <- names(sort(table(droplevels(GGtax_20[,"Phylum"])), decr=T))
names(PHYLAcols_legend)[PHYLAcols_legend == "gold1"] <- "Gemmatimonadetes"
names(PHYLAcols_legend)[PHYLAcols_legend == "seagreen3"] <- "Chlorobi"
names(PHYLAcols_legend)[names(PHYLAcols_legend) == ""] <- "not_assigned"
PHYLAcols_legend

#tiff(paste(outputFolder,"PHYLAcols_color_legend_bubbles.tiff", sep=""), width=800, height=800, 
#    units="px", pointsize=10, compression="none", bg = "white", res=120 , type="quartz", antialias="none")
plot(y=seq(1,11,1),x=rep(1,11), ylim=c(0,12), col=PHYLAcols_legend, pch=19, cex=5, main="color code Phyla")
text(y=seq(1,11,1),x=rep(1,11), labels=names(PHYLAcols_legend), pos=4, cex=1)
#dev.off()


### At RootOTUs
#The function droplevels is used to drop unused levels from a factor or, more commonly, from factors in a data frame.
table(droplevels(GGtax_20[Eifel_RootOTUs, 2]))
Eifel_means_log_At <- Eifel_means_log_At[c(rownames(Eifel_means_log_At)[!rownames(Eifel_means_log_At) %in% Eifel_RootOTUs], Eifel_RootOTUs),]
Eifel_AtRootOTUs_colors <- PHYLAcols[rownames(Eifel_means_log_At)]
Eifel_AtRootOTUs_colors[names(Eifel_AtRootOTUs_colors)[!names(Eifel_AtRootOTUs_colors) %in% Eifel_AtRootOTUs]] <- "grey"
#postscript(paste(outputFolder,"FigS9B_Eifel_Atdata_AtRootOTUs.eps", sep=""), paper="special", width=5, height=5, horizontal = FALSE)
postscript(paste(outputFolder,"3treatmen.ternary.eps", sep=""), paper="special", width=5, height=5, horizontal = FALSE)
tern_e(Eifel_means_log_At, col=Eifel_AtRootOTUs_colors, prop=T, grid=T,  bg="transparent", pch=19, main="Eifel_Atdata_AtRootOTUs")
dev.off()