# setting working directory and In/Outputfolders
wdir <- "C:/Users/lenovo/Desktop/R_scripts/Test"
setwd(wdir)
inputFolder <- paste( wdir, "/my_new_inputfiles/", sep = "" )
outputFolder <- paste( wdir, "/my_new_outputfiles/", sep = "" )
datafile <- "datForBarplot.txt"
alldat <- read.table( paste( inputFolder, datafile, sep = "" ), row.names=1, sep="\t", header=T, blank.lines.skip = FALSE)
OTU_n <- rownames(alldat)
OTU_length <- length(OTU_n)

#par(mai=c(1,1,1,1),mfrow=c(1,1),mar=c(4,6,4,6),oma=c(3,2,3,2))

for(i in 1:OTU_length){
	means <- c(alldat[OTU_n[i],"GM"], alldat[OTU_n[i],"NonGM"])
	max_num <- round(max(means)) + 1
	main_n <- paste(OTU_n[i],"(",alldat[OTU_n[i],"Family"],")", sep="")
	postscript(paste(outputFolder,OTU_n[i],".GM2NonGM.barplot.eps", sep=""), 
		paper="special", width=5, height=5,horizontal = FALSE)
	par(mai=c(1,1,1,1),mfrow=c(1,1),mar=c(4,6,4,6),oma=c(3,2,3,2))
	mp <- barplot(means, axes=T, axisnames=T, ylim=c(0, max_num),space=c(0.3,5),
	col=c("grey", "grey"), main=main_n, xlab="", ylab="log2(RA+1)", cex.lab=1.5,
	cex.axis=1.5, cex.names=1.5, cex.main=1.5,names.arg=c("GM","NonGM"))
	stDevs <- matrix(c(alldat[OTU_n[i],"GM_se"], alldat[OTU_n[i],"NonGM_se"]), 2)
	
	# Plot the vertical lines of the error bars
	# The vertical bars are plotted at the midpoints
	segments(mp, means - stDevs, mp, means + stDevs, lwd=0.5)
	# 1. The lower bar
	segments(mp - 0.1, means - stDevs, mp + 0.1, means - stDevs, lwd=0.5)
	# 2. The upper bar
	segments(mp - 0.1, means + stDevs, mp + 0.1, means + stDevs, lwd=0.5)
	dev.off()
}

