# setting working directory and In/Outputfolders
wdir <- "C:/Users/lenovo/Desktop/R_scripts/Test"
setwd(wdir)
inputFolder <- paste( wdir, "/my_new_inputfiles/", sep = "" )
outputFolder <- paste( wdir, "/my_new_outputfiles/", sep = "" )
datafile <- "datForBarplot.GMbacillus.OTU.stages.txt"
alldat <- read.table( paste( inputFolder, datafile, sep = "" ), row.names=1, sep="\t", header=T, blank.lines.skip = FALSE)
OTU_n <- rownames(alldat)
OTU_length <- length(OTU_n)

#par(mai=c(1,1,1,1),mfrow=c(1,1),mar=c(4,6,4,3),oma=c(3,6,3,1))

for(i in 1:OTU_length){
	means <- c(alldat[OTU_n[i],"StageI"], alldat[OTU_n[i],"StageII"], alldat[OTU_n[i],"StageIII"], 
				alldat[OTU_n[i],"StageIV"], alldat[OTU_n[i],"StageV"])
	max_num <- round(max(means)) + ceiling(max(means)/10)
	main_n <- paste(OTU_n[i],"(",alldat[OTU_n[i],"Genus"],")", sep="")
	postscript(paste(outputFolder,OTU_n[i],".GM.StageI2V.barplot.eps", sep=""), 
		paper="special", width=5, height=5,horizontal = FALSE)
	mp <- barplot(means, axes=T, axisnames=T, ylim=c(0, max_num),space=c(0.5,1),
			col=c("grey", "grey", "grey", "grey", "grey"), 
			main=main_n, xlab="", ylab="Log2(RA+1)", cex.lab=1,
			cex.axis=1, cex.names=1, cex.main=1.5,
			names.arg=c("StageI","StageII","StageIII","StageIV","StageV"))
	stDevs <- matrix(c(alldat[OTU_n[i],"StdErr_StageI"], alldat[OTU_n[i],"StdErr_StageII"],
			alldat[OTU_n[i],"StdErr_StageIII"], alldat[OTU_n[i],"StdErr_StageIV"],
			alldat[OTU_n[i],"StdErr_StageV"]),5)
	
	# Plot the vertical lines of the error bars
	# The vertical bars are plotted at the midpoints
	segments(mp, means - stDevs, mp, means + stDevs, lwd=0.5)
	# 1. The lower bar
	segments(mp - 0.1, means - stDevs, mp + 0.1, means - stDevs, lwd=0.5)
	# 2. The upper bar
	segments(mp - 0.1, means + stDevs, mp + 0.1, means + stDevs, lwd=0.5)
	dev.off()
}

