library("gplots")

# setting working directory and In/Outputfolders
wdir <- "C:/Users/lenovo/Desktop/R_scripts/Test"
setwd(wdir)
inputFolder <- paste( wdir, "/my_new_inputfiles/", sep = "" )
outputFolder <- paste( wdir, "/my_new_outputfiles/", sep = "" )

datafile <- "ACM.3treatment.40CoreOTUs.txt"
alldat <- read.table( paste( inputFolder, datafile, sep = "" ), row.names=1, sep="\t", header=T, blank.lines.skip = FALSE)

m <- data.frame(read.table( paste( inputFolder, datafile, sep = "" ), 
row.names=1, sep="\t", header=T, blank.lines.skip = FALSE))

#row.names(m) <- m$test_id
m <- m[,1:70]
m_matrix <- data.matrix(m)


postscript(paste(outputFolder,"Fig26.eps", sep=""), 
  paper="special", width=9, height=6, horizontal = FALSE)
heatmap.2(m_matrix, scale="none",trace="none", dendrogram="both", 
          density.info="none",cexRow = 0.5,cexCol = 0.7)
dev.off()


#Making Heatmap version 1
heatmap(m_matrix, Colv=NA, scale="column")
cc <- rainbow(ncol(m))
heatmap(m_matrix, Colv=NA, scale="column", ColSideColors=cc)

#Making Heatmap version 2
#correlation distance
cor_t <- 1-cor(t(m_matrix))
#absolute correlation distance
cor_t <- 1 - abs(cor(t(m_matrix)))
#r-squared distance
cor_t <- 1 - cor(t(m_matrix))^2

distancet <- as.dist(cor_t)
hclust_complete <- hclust(distancet, method = "complete")
dendcomplete <- as.dendrogram(hclust_complete)
heatmap(m_matrix, Rowv=dendcomplete, Colv=NA, scale="column")

#Making Heatmap version 3
distancem <- dist(m_matrix)
hclust_completem <- hclust(distancem, method = "complete")
dendcompletem <- as.dendrogram(hclust_completem)
heatmap(m_matrix, Rowv=dendcompletem, Colv=NA, scale="column")


